package com.wechi.adweb.bridge.google.gtm.dto;

import com.wechi.adweb.bridge.google.common.ResourceDTO;

import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author wfansh
 */
@Data
@SuperBuilder
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class GTMTagDTO extends ResourceDTO {

    private String accountId;

    private String containerId;

    private String workspaceId;

    private String type;

    private List<TagParameter> parameters;

    private List<String> firingTriggerIds;

    @Data
    @Builder
    public static class TagParameter {
        private String type;

        private String key;

        private String value;
    }
}
